Subject: Re: bug#78987: 30.1; Unable to create new Git repository in Dired mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jul 2025 14:44:45 +0300

> From: Sean Whitton <[email-masked]>
> Cc: Stephen Berman <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Sat, 12 Jul 2025 12:15:04 +0100
> 
> On Sat 12 Jul 2025 at 02:05pm +03, Eli Zaretskii wrote:
> 
> >> Resent-To: [email-masked]
> >> Cc: [email-masked], [email-masked]
> >> From: Sean Whitton <[email-masked]>
> >> Date: Sat, 12 Jul 2025 11:35:05 +0100
> >>
> >> Hello,
> >>
> >> On Sat 12 Jul 2025 at 11:07am +02, Stephen Berman via "Bug reports for GNU
> >> Emacs, the Swiss army knife of text editors" wrote:
> >>
> >> > This seems to say that the code path using ALLOW-UNREGISTERED bypasses
> >> > the code path using Dired.  Anyway, I'm sure you understand the VC
> >> > better than I do, so you should make the change you think is required.
> >>
> >> I had another look, and I think you're right.  ALLOW-UNREGISTERED is not
> >> relevant here.  I've installed your patch -- thanks!
> >
> > Thanks, but I don't understand why you both made
> > vc-backend-for-registration autoloaded _and_ added an autoload form
> > for it in dired-aux.el.  Isn't just one of them enough?
> 
> The autoload form in dired-aux.el was just to satisfy the bytecompiler.
> Should it be declare-function?  Or should I drop the autoload cookie?
> Which do you think would be more appropriate?

I'd like to avoid the autoload cookie, yes, if that's feasible.  A
single client doesn't justify the autoload, IMO.

Why doesn't the autoload form in dired-aux enough to satisfy both the
byte compiler and run-time?